[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [pdt-dev] Manually Installing PDT 2.1.1 - Solved

Daniel Kolbo wrote:
> Bottom Post
> Nick Boldt wrote:
>> Also, you don't have to unzip the update site - p2 can do that for
>> you... which saves you the extra step and also avoids any issues w/
>> Windows and long file paths.
>>
>> http://wiki.eclipse.org/PDT/Installation#From_Update_Site_.28or_Update_Site_Zip.29
>>
>>
>> Waseem Shahzad wrote:
>>> First of all be sure that is there any space that you give in your
>>> path, if it is there remove it. for example in my case I have all the
>>> downloaded softwares at this place.
>>>
>>> E:\chand\DownloadedSoftwares\eclipsePlugins\PDT\pdt-Update-2.1.1RC3
>>>
>>> notice that I don't have any space in the whole path, try this if you
>>> are able to resolve your problem. I hope it helps you.
>>>
>>> By the way I'm sorry for late reply. Might be you already resolved
>>> your problem, anyhow, I was little off.
>>>
>>>
>>> Regards chand
>>>
>>> On Fri, Jul 31, 2009 at 8:32 AM, Daniel Kolbo <kolb0057@xxxxxxx
>>> <mailto:kolb0057@xxxxxxx>> wrote:
>>>
>>>     Hello,
>>>
>>>     1) I am using:
>>>     Machine EEE PC 1000 HA
>>>     WindowsXP Home SP3
>>>     Intel Atom N270 1.6 GHz
>>>     1 GB DDR2 RAM
>>>     http://eeepc.asus.com/global/product1000ha-spec.html
>>>
>>>     Java version 6 update 14 (build 1.6.0_14-b08)
>>>
>>>     Eclipse SDK
>>>     Version: 3.5.0
>>>     Build id: I20090611-1540
>>>
>>>     2) I extracted eclipse-SDK-3.5-win32.zip using winrar to C:\eclipse
>>>     3) I extracted pdt-Update-2.1.1RC3.zip using winrar to C:\pdt2_1_1
>>>     4) I started up eclipse and selected help->install updates->and
>>> pointed
>>>     to the C:\pdt2_1_1 folder
>>>     5) after following the process I then receive the following error:
>>>     An error occurred while collecting items to be installed
>>>      session context was:(profile=SDKProfile,
>>>    
>>> phase=org.eclipse.equinox.internal.provisional.p2.engine.phases.Collect,
>>>     operand=, action=).
>>>      Artifact not found:
>>> osgi.bundle,org.eclipse.php,2.1.1.v20090707-1108.
>>>      C:\pdt2_1_1\plugins\org.eclipse.php_2.1.1.v20090707-1108.jar (The
>>>     system cannot find the file specified)
>>>      Artifact not found:
>>>     osgi.bundle,org.eclipse.php.core,2.1.1.v20090714-1338.
>>>      C:\pdt2_1_1\plugins\org.eclipse.php.core_2.1.1.v20090714-1338.jar
>>> (The
>>>     system cannot find the file specified)
>>>      Artifact not found:
>>>     osgi.bundle,org.eclipse.php.core.parser,2.1.1.v20090707-1108.
>>>
>>>    
>>> C:\pdt2_1_1\plugins\org.eclipse.php.core.parser_2.1.1.v20090707-1108.jar
>>>     (The system cannot find the file specified)
>>>      Artifact not found:
>>>     osgi.bundle,org.eclipse.php.debug.core,2.1.1.v20090714-1338.
>>>
>>>    
>>> C:\pdt2_1_1\plugins\org.eclipse.php.debug.core_2.1.1.v20090714-1338.jar
>>>     (The system cannot find the file specified)
>>>      Artifact not found:
>>>     osgi.bundle,org.eclipse.php.debug.daemon,2.1.1.v20090707-1108.
>>>
>>>    
>>> C:\pdt2_1_1\plugins\org.eclipse.php.debug.daemon_2.1.1.v20090707-1108.jar
>>>     (The system cannot find the file specified)
>>>      Artifact not found:
>>>     osgi.bundle,org.eclipse.php.debug.ui,2.1.1.v20090714-1338.
>>>     
>>> C:\pdt2_1_1\plugins\org.eclipse.php.debug.ui_2.1.1.v20090714-1338.jar
>>>     (The system cannot find the file specified)
>>>      Artifact not found:
>>>     osgi.bundle,org.eclipse.php.help,2.1.1.v20090707-1108.
>>>      C:\pdt2_1_1\plugins\org.eclipse.php.help_2.1.1.v20090707-1108.jar
>>> (The
>>>     system cannot find the file specified)
>>>      Artifact not found:
>>>     osgi.bundle,org.eclipse.php.server.core,2.1.1.v20090707-1108.
>>>
>>>    
>>> C:\pdt2_1_1\plugins\org.eclipse.php.server.core_2.1.1.v20090707-1108.jar
>>>     (The system cannot find the file specified)
>>>      Artifact not found:
>>>     osgi.bundle,org.eclipse.php.server.ui,2.1.1.v20090707-1108.
>>>     
>>> C:\pdt2_1_1\plugins\org.eclipse.php.server.ui_2.1.1.v20090707-1108.jar
>>>     (The system cannot find the file specified)
>>>      Artifact not found:
>>>    
>>> osgi.bundle,org.eclipse.php.source,2.1.1.v20090708-1127-7L7979F8NcJKhKOOA9TaXX.
>>>
>>>
>>>    
>>> C:\pdt2_1_1\plugins\org.eclipse.php.source_2.1.1.v20090708-1127-7L7979F8NcJKhKOOA9TaXX.jar
>>>
>>>     (The system cannot find the file specified)
>>>      Artifact not found:
>>>     osgi.bundle,org.eclipse.php.ui,2.1.1.v20090712-1347.
>>>      C:\pdt2_1_1\plugins\org.eclipse.php.ui_2.1.1.v20090712-1347.jar (The
>>>     system cannot find the file specified)
>>>
>>>     The 'non-existing' files exist as *.jar.pack.gz
>>>
>>>     Please help me understand what it is that I am doing incorrectly.
>>>
>>>     Thanks for your help,
>>>     dK
>>>     `
>>>
>>>     _______________________________________________
>>>     pdt-dev mailing list
>>>     pdt-dev@xxxxxxxxxxx <mailto:pdt-dev@xxxxxxxxxxx>
>>>     https://dev.eclipse.org/mailman/listinfo/pdt-dev
>>>
>>>
>>>
>>> ------------------------------------------------------------------------
>>>
>>> _______________________________________________
>>> pdt-dev mailing list
>>> pdt-dev@xxxxxxxxxxx
>>> https://dev.eclipse.org/mailman/listinfo/pdt-dev
> Thanks for the ideas.
> 
> I put the zip into c:\pdt-Update-2.1.1RC3.zip and pointed the install to
> this archive.  I got the following errors during the install:
> 
> An error occurred while collecting items to be installed
>   session context was:(profile=SDKProfile,
> phase=org.eclipse.equinox.internal.provisional.p2.engine.phases.Collect,
> operand=, action=).
>   Artifact not found: osgi.bundle,org.eclipse.php,2.1.1.v20090707-1108.
>   JAR entry plugins/org.eclipse.php_2.1.1.v20090707-1108.jar not found
> in C:\pdt-Update-2.1.1RC3.zip
>   Artifact not found: osgi.bundle,org.eclipse.php.core,2.1.1.v20090714-1338.
>   JAR entry plugins/org.eclipse.php.core_2.1.1.v20090714-1338.jar not
> found in C:\pdt-Update-2.1.1RC3.zip
>   Artifact not found:
> osgi.bundle,org.eclipse.php.core.parser,2.1.1.v20090707-1108.
>   JAR entry plugins/org.eclipse.php.core.parser_2.1.1.v20090707-1108.jar
> not found in C:\pdt-Update-2.1.1RC3.zip
>   Artifact not found:
> osgi.bundle,org.eclipse.php.debug.core,2.1.1.v20090714-1338.
>   JAR entry plugins/org.eclipse.php.debug.core_2.1.1.v20090714-1338.jar
> not found in C:\pdt-Update-2.1.1RC3.zip
>   Artifact not found:
> osgi.bundle,org.eclipse.php.debug.daemon,2.1.1.v20090707-1108.
>   JAR entry
> plugins/org.eclipse.php.debug.daemon_2.1.1.v20090707-1108.jar not found
> in C:\pdt-Update-2.1.1RC3.zip
>   Artifact not found:
> osgi.bundle,org.eclipse.php.debug.ui,2.1.1.v20090714-1338.
>   JAR entry plugins/org.eclipse.php.debug.ui_2.1.1.v20090714-1338.jar
> not found in C:\pdt-Update-2.1.1RC3.zip
>   Artifact not found: osgi.bundle,org.eclipse.php.help,2.1.1.v20090707-1108.
>   JAR entry plugins/org.eclipse.php.help_2.1.1.v20090707-1108.jar not
> found in C:\pdt-Update-2.1.1RC3.zip
>   Artifact not found:
> osgi.bundle,org.eclipse.php.server.core,2.1.1.v20090707-1108.
>   JAR entry plugins/org.eclipse.php.server.core_2.1.1.v20090707-1108.jar
> not found in C:\pdt-Update-2.1.1RC3.zip
>   Artifact not found:
> osgi.bundle,org.eclipse.php.server.ui,2.1.1.v20090707-1108.
>   JAR entry plugins/org.eclipse.php.server.ui_2.1.1.v20090707-1108.jar
> not found in C:\pdt-Update-2.1.1RC3.zip
>   Artifact not found:
> osgi.bundle,org.eclipse.php.source,2.1.1.v20090708-1127-7L7979F8NcJKhKOOA9TaXX.
>   JAR entry
> plugins/org.eclipse.php.source_2.1.1.v20090708-1127-7L7979F8NcJKhKOOA9TaXX.jar
> not found in C:\pdt-Update-2.1.1RC3.zip
>   Artifact not found: osgi.bundle,org.eclipse.php.ui,2.1.1.v20090712-1347.
>   JAR entry plugins/org.eclipse.php.ui_2.1.1.v20090712-1347.jar not
> found in C:\pdt-Update-2.1.1RC3.zip
> 
> What is a *.jar.pack file?  Again, the errors say it cannot locate
> plugins/org.eclipse.php_2.1.1.v20090707-1108.jar , but the file is
> plugins/org.eclipse.php_2.1.1.v20090707-1108.jar.pack.gz
> 
> inside the *.gz file is a *.jar.pack
> 
> Please help.
> 
> Thanks,
> dK
> `
> _______________________________________________
> pdt-dev mailing list
> pdt-dev@xxxxxxxxxxx
> https://dev.eclipse.org/mailman/listinfo/pdt-dev

I disabled my local sources.  I enabled
http://downlaod.eclipse.org/tools/pdt/updates/2.0/ (which does have
2.1.1).  I originally checked in
http://download.eclipse.org/releases/galileo but this only had 2.0 and
not 2.1.1.

Though the original issue still remains unsolved (most likely due to
dumbdows), i now have pdt 2.1.1  :)  on to the next plug in.

Thanks to those who read,
dK
`